package com.fp.common.properties;

import java.io.IOException;

/**
 * Clase que se encarga del manejo del archivo de propiedades common. 
 * @author Jorge Vaca.
 * @version 2.1
 */
public final class CommonProperties extends PropertiesHandler {
	/**
	 * Almacena una instancia del tipo CommonProperties en el singleton. 
	 */
	private static CommonProperties instance=null;
    
	/**
	 * Crea una instancia de CommonProperties. 
	 * @throws IOException
	 */
	private CommonProperties() throws IOException,Exception{
    	super("common");
    }
    
	/**
	 * Crea y entrega una instancia de CommonProperties. 
	 * @return	CommonProperties
	 * @throws IOException
	 */
    public static CommonProperties getInstance() throws IOException,Exception{
    	synchronized (CommonProperties.class) {
        	if(instance==null){
        		instance=new CommonProperties();
        	}			
		}
    	return instance;
    }
}
